Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkIndent Class Reference

`#include <vtkIndent.h>`

List of all members.

## Detailed Description

a simple class to control print indentation

Date:
  2002/12/10 19:10:39

Revision:
  1.32

vtkIndent is used to control indentation during the chaining print process. This way nested objects can correctly indent themselves.

Created by:
  - Schroeder, Will

CVS contributions (if > 5%):
  - Schroeder, Will (41%)
  - Martin, Ken (30%)
  - Miller, Jim (9%)
  - Kelly, Ann (6%)
  - Lorensen, Bill (5%)
  - King, Brad (5%)

CVS logs (CVSweb):
  - .`h` (`/Common/vtkIndent.h)`
  - .`cxx` (`/Common/vtkIndent.cxx)`

Examples:
  vtkIndent (Examples)

Tests:
  vtkIndent (Tests)

Definition at line 56 of file vtkIndent.h.

## Public Methods
void | Delete ()
| vtkIndent (int ind=0)
virtual const char * | GetClassName ()
vtkIndent | GetNextIndent ()
## Static Public Methods
vtkIndent * | New ()
## Protected Attributes
int | Indent
## Friends
VTK_COMMON_EXPORT ostream & | operator<< (ostream &os, const vtkIndent &o)

## Constructor & Destructor Documentation

vtkIndent::vtkIndent | ( | int | ind = 0 | ) | `[inline]`

| Definition at line 60 of file vtkIndent.h.

## Member Function Documentation

void vtkIndent::Delete | ( |  | ) | `[inline]`

| Definition at line 59 of file vtkIndent.h.

vtkIndent* vtkIndent::New | ( |  | ) | `[static]`

virtual const char* vtkIndent::GetClassName | ( |  | ) | `[inline, virtual]`

| Definition at line 63 of file vtkIndent.h.

vtkIndent vtkIndent::GetNextIndent | ( |  | ) |

| Determine the next indentation level. Keep indenting by two until the max of forty.

## Friends And Related Function Documentation

VTK_COMMON_EXPORT ostream& operator<< | ( | ostream & | os,
|  | const vtkIndent & | o
| ) | `[friend]`

| Print out the indentation. Basically output a bunch of spaces.

## Member Data Documentation

int vtkIndent::Indent`[protected]`

| Definition at line 77 of file vtkIndent.h.

The documentation for this class was generated from the following file:

- Common/vtkIndent.h